title Regressionsanalyse mit den Daten von Fall 6.

* Daten von Fall 6 im Rang-Format (i-ter Wert = Rang von Produkt i).
data list free
 /rang.
begin data.
 9  6 16 17 19 10 12 11  2  8 18  7 20  1 14  3
end data.
exe.

match files
 /file=*
 /file='U:\Eigene Dateien\SPSS\Conjoint\tepplan2.sav'.

* Abweichungs-Kodiervariablen fr PACKUNG, MARKE, PRUEFS und GELDZ berechnen.
do if packung = 1.
 compute pack1 = 1.
 compute pack2 = 0.
else if packung = 2.
 compute pack1 = 0.
 compute pack2 = 1.
else.
 compute pack1 = -1.
 compute pack2 = -1.
end if.
exe.

do if marke = 1.
 compute mark1 = 1.
 compute mark2 = 0.
else if marke = 2.
 compute mark1 = 0.
 compute mark2 = 1.
else.
 compute mark1 = -1.
 compute mark2 = -1.
end if.
exe.

recode pruefs geldz (0=1) (1=-1).


* HOLDOUT- und Simulationskarten ausschlieen.
select if (status_=0).

* Rnge ohne HOLDOUT-Karten neu berechnen (Ausgabevariable ist RRANG).
RANK                                  
  VARIABLES=rang  (A) /RANK /PRINT=YES
  /TIES=MEAN .                        

* SPSS invertiert intern die Rangdaten (hchster Rangwert = kleinster Score, schlechteste Bewertung).
compute scores = 17 - rrang.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT scores
  /METHOD=ENTER pack1 pack2 mark1 mark2 preis pruefs geldz 
  /resid
  /save=pred(preds6) zpred(zpreds6) sresid (sresids6).

compute  produkt = $casenum.
list var = produkt rrang scores preds6.

